<?php
session_start();
include ('private/mysql.php');
include ('tmp/head.php');

$ser = mysql_fetch_assoc(mysql_query("SELECT * FROM `server`"));
if($ser['reg']=='off'){
    header('Location: index.php');
    exit;
}

if(empty($_POST['submit'])){
    

    
    
echo "<form action='create_pers.php' method='post'>
Логин:<br>
<input type='text' name='login' class='enter'><br>
Пароль:<br>
<input type='password' name='password' class='enter'><br>
Пол:<br>
<select name='pol' class='enter'>
<option value='man'>Мужской</option>
<option value='woman'>Женский</option>
</select><br>
Сторона:<br>
<select name='storona' class='enter'>
<option value='white'>Светлая</option>
<option value='dark'>Тёмная</option>
</select><br>";
echo "<input type='submit' name='submit' value='Продолжить' class='button'></form>";


}else{
    
$login = mysql_real_escape_string(htmlspecialchars($_POST['login']));
$password = mysql_real_escape_string(htmlspecialchars($_POST['password']));    

$pol = mysql_real_escape_string(htmlspecialchars($_POST['pol']));
$storona = mysql_real_escape_string(htmlspecialchars($_POST['storona']));


if($login == '' or $password == ''){
    echo "Необходимо заполнить все поля.<br><a href='create_pers.php'>Назад</a>";
    exit;
}
    
$hash = md5(md5($password));


$q = mysql_num_rows(mysql_query("SELECT * FROM `users` WHERE `login`='$login'"));
if($q >= '1'){
    echo "Персонаж с таким именем уже есть в игре.<br><a href='create_pers.php'>Назад</a>";
    exit;
}


mysql_query("INSERT INTO `users` SET `login`='$login',`password`='$hash',`pol`='$pol',`storona`='$storona'");


if($pol == 'man'){$pl = "Мужской";}else{$pl = "Женский";}
if($storona == 'white'){$st = "Светлая";}else{$st = "Тёмная";}

echo "Вы успешно создали персонажа!<br>
<form action='autorize.php' method='post'>
Логин:<br>
<input type='text' name='login' class='enter' value='$login'><br>
Пароль:<br>
<input type='text' name='password' class='enter' value='$password'><br>
Пол:<br>
<input type='text' class='enter' value='$pl'><br>
Сторона:<br>
<input type='text' class='enter' value='$st'><br>
<input type='submit' name='submit' value='Продолжить' class='button'></form>";

    
}

?>